2

I have many thousands of shapefiles organized into folders for residential neighborhoods (state/city/neighborhood). I installed "load them all" plugin but get a python error message.

An error has occured while executing Python code:

Traceback (most recent call last): File "C:/Users/realmarkable1/.qgis2/python/plugins\loadthemall\LoadThemAllDialog.py", line 251, in load self.apply() File "C:/Users/realmarkable1/.qgis2/python/plugins\loadthemall\LoadThemAllDialog.py", line 193, in apply filterList ) File "C:/Users/realmarkable1/.qgis2/python/plugins\loadthemall\LoadFiles.py", line 197, in init bLayersOff, bDoNotEmpty, bSort, bReverseSort, numLayersToConfirm ) File "C:/Users/realmarkable1/.qgis2/python/plugins\loadthemall\LoadFiles.py", line 29, in init self.tree = Tree( baseDir, False ) # Don't create a parent group File "C:/Users/realmarkable1/.qgis2/python/plugins\loadthemall\LoadFiles.py", line 246, in init self.root = QgsProject.instance().layerTreeRoot() AttributeError: 'QgsProject' object has no attribute 'layerTreeRoot'

Python version: 2.7.4 (default, Apr 6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

QGIS version: 2.2.0-Valmiera Valmiera, c3a2817

Python path:

['C:/PROGRA~2/QGISVA~1/apps/qgis/./python/plugins\\processing', 'C:/PROGRA~2/QGISVA~1/apps/qgis/./python', u'C:/Users/realmarkable1/.qgis2/python', u'C:/Users/realmarkable1/.qgis2/python/plugins', 'C:/PROGRA~2/QGISVA~1/apps/qgis/./python/plugins', 'C:\\PROGRA~2\\QGISVA~1\\bin\\python27.zip', 'C:\\PROGRA~2\\QGISVA~1\\apps\\Python27\\DLLs', 'C:\\PROGRA~2\\QGISVA~1\\apps\\Python27\\lib', 'C:\\PROGRA~2\\QGISVA~1\\apps\\Python27\\lib\\plat-win', 'C:\\PROGRA~2\\QGISVA~1\\apps\\Python27\\lib\\lib-tk', 'C:\\PROGRA~2\\QGISVA~1\\bin', 'C:\\PROGRA~2\\QGISVA~1\\apps\\Python27', 'C:\\PROGRA~2\\QGISVA~1\\apps\\Python27\\lib\\site-packages', 'C:\\PROGRA~2\\QGISVA~1\\apps\\Python27\\lib\\site-packages\\PIL', 'C:\\PROGRA~2\\QGISVA~1\\apps\\Python27\\lib\\site-packages\\win32', 'C:\\PROGRA~2\\QGISVA~1\\apps\\Python27\\lib\\site-packages\\win32\\lib', 'C:\\PROGRA~2\\QGISVA~1\\apps\\Python27\\lib\\site-packages\\Pythonwin', 'C:\\PROGRA~2\\QGISVA~1\\apps\\Python27\\lib\\site-packages\\Shapely-1.2.18-py2.7-win32.egg', 'C:\\PROGRA~2\\QGISVA~1\\apps\\Python27\\lib\\site-packages\\wx-2.8-msw-unicode', 'C:\\PROGRA~2\\QGISVA~1\\apps\\qgis\\python\\plugins\\fTools\\tools', 'C:/Users/realmarkable1/Desktop']
4

To use Load Them All you would need to upgrade your QGIS installation, because the plugin is using a method that was added in QGIS v2.4 (layerTreeRoot()). I suggest you to use v2.14 because it will be still maintained for several months from now.

If, for any reason (perhaps the IT department doesn't permit it or something) you cannot upgrade your QGIS version, try with the previous version of the plugin, i.e., v2.3, which was not using layerTreeRoot() yet. Let me know if you need help installing the plugin from a ZIP file.

BTW, that's a very good way to post a question, including all the details.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.